# Interface JmolAdapterAtomIterator

public interface JmolAdapterAtomIterator

## Method Summary

Modifier and Type
Method
Description
`char`
`getAltLoc()`
`String`
`getAtomName()`
`int`
`getAtomSetIndex()`
`int`
`getAtomSite()`
`float`
`getBfactor()`
`float`
`getBondRadius()`
`int`
`getChainID()`
`int`
`getElement()`
`int`
`getElementNumber()`
`int`
`getFormalCharge()`
`String`
`getGroup3()`
`char`
`getInsertionCode()`
`boolean`
`getIsHetero()`
`int`
`getIsotope()`
`float`
`getOccupancy()`
`int`
`getPart()`
`float`
`getPartialCharge()`
`float`
`getRadius()`
`int`
`getSeqID()`
`int`
`getSequenceNumber()`
`int`
`getSerial()`
`BS`
`getSymmetry()`
`Lst<Object>`
`getTensors()`
`Object`
`getUniqueID()`
`V3`
`getVib()`
`P3`
`getXYZ()`
`boolean`
`hasNext()`

## Method Details

### hasNext

boolean hasNext()

### getAtomSetIndex

int getAtomSetIndex()

### getSymmetry

BS getSymmetry()

### getAtomSite

int getAtomSite()

### getUniqueID

Object getUniqueID()

### getElementNumber

int getElementNumber()

### getAtomName

String getAtomName()

### getFormalCharge

int getFormalCharge()

### getPartialCharge

float getPartialCharge()

### getTensors

Lst<Object> getTensors()

### getRadius

float getRadius()

### getVib

V3 getVib()

### getXYZ

P3 getXYZ()

### getBfactor

float getBfactor()

### getOccupancy

float getOccupancy()

### getIsHetero

boolean getIsHetero()

### getSerial

int getSerial()

### getChainID

int getChainID()

### getAltLoc

char getAltLoc()

### getGroup3

String getGroup3()

### getSequenceNumber

int getSequenceNumber()

### getInsertionCode

char getInsertionCode()

### getSeqID

int getSeqID()

### getBondRadius

float getBondRadius()

### getElement

int getElement()

### getIsotope

int getIsotope()

### getPart

int getPart()